Bug 121924 - Changing time doesn't update until minute tick
Changing time doesn't update until minute tick
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 01:01 EDT by Rory Gleeson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-12 12:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rory Gleeson 2004-04-29 01:01:25 EDT
Description of Bug:
I've noticed this on the 12-hour clock, not 24-hour clock.  I changed
the time from 12:xx to 0:xx.  The time changed but the PM did not
change to AM.  

The only way I could trigger it to correctly update to AM was to then
open Preferences, select "show seconds," which changed it to AM and
then de-select "show seconds" and close.  That did the trick.

Version-Release number of selected component (if applicable):
Fedora Core 2 Test 3.

As an aside, defaulting to 12-hour clock on install rather than
24-hour might be useful, as most users have adopted the 12-hour clock
in their daily lives.  This might help the above solution, as people
could then set the time with a 12-hour clock and then have an option
to manually select AM or PM.

Thanks for the great product.  I can't program code as a way of paying
back to the Fedora community, but I'll try to be useful and contribute
in any other way that I can find.

Rory Gleeson
Toronto, Canada
Comment 1 Florian La Roche 2004-05-07 12:29:45 EDT
Is this some GUI app within Gnome or KDE? What app do you start exactly?


Florian La Roche
Comment 2 Rory Gleeson 2004-05-07 17:57:07 EDT
I've filed enough bug reports in my life to have known better - I
didn't give proper info.  

I was referring to the Gnome panel clock applet.  Other than that, I
think my initial post describes the issue.  Sorry for missing that
crucial infl.  
Comment 3 Mark McLoughlin 2004-10-01 08:55:17 EDT
Okay, the issue here is that if you are only displaying time with a
resolution of minutes and change the time, the clock won't notice it
until it expects the minute. i.e. you may have to wait for up to 60
seconds before the clock sees the change.
Comment 4 Marco Pesenti Gritti 2004-10-29 07:20:17 EDT
I have a patch to fix this on 

Comment 5 Marco Pesenti Gritti 2004-10-29 08:28:19 EDT
Ok, this is fixed upstream, on the stable branch also.

Note You need to log in before you can comment on or make changes to this bug.